Bug 857831 - [XML-RPC] TestCase.calculate_total_estimated_time() doesn't work
[XML-RPC] TestCase.calculate_total_estimated_time() doesn't work
Status: VERIFIED
Product: TCMS
Classification: Other
Component: XMLRPC (Show other bugs)
3.8.0
Unspecified Unspecified
low Severity low
: ---
: 3.8.10
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 03:14 EDT by Xin Gao
Modified: 2018-02-15 19:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xin Gao 2012-09-17 03:14:44 EDT
Description of problem:
TestCase.calculate_total_estimated_time() doesn't work


Version-Release number of selected component (if applicable):
tcms 3.8 on stage/production

How reproducible:


Steps to Reproduce:
1. TestCase.get(93021)['estimated_time']    ------> result is: '100:07:05'
2. TestCase.get(93857)['estimated_time']    ------> result is: '03:04:01'
3. TestCase.calculate_total_estimated_time([93021, 93857])
  
Actual results:
'00:00:00'

Expected results:
100:07:05 + 03:04:01

Additional info:
Comment 1 jihu 2012-09-19 22:36:44 EDT
I reproduce this issue,it display total time "103:6191:06",only the min part is wrong ,got "00:00:00" maybe some time delay.

reproduce steps:
1. TestCase.get(93021)['estimated_time']    ------> result is: '100:07:05'
2. TestCase.get(93857)['estimated_time']    ------> result is: '03:04:01'
3. TestCase.calculate_total_estimated_time([93021, 93857])

Actual results:
'103:6191:06'

Expected results:
100:07:05 + 03:04:01
Comment 2 yangqiu 2014-07-30 04:33:58 EDT
Verify this bug on v3.8.10-1 on devel server.-->Fail

verify steps:
1. TestCase.get(293346)['estimated_time']    ------> result is: '90060'
2. TestCase.get(293347)['estimated_time']    ------> result is: '180120'
3. TestCase.calculate_total_estimated_time([293346, 293347])

Actual results:
'15:03:00'

Expected results:
'75:03:00'

Additional info:
In [23]: n.TestCase.calculate_total_estimated_time([293346])
Out[23]: '25:01:00'

In [24]: n.TestCase.calculate_total_estimated_time([293347])
Out[24]: '50:02:00'

In [25]: n.TestCase.calculate_total_estimated_time([293346,293347])
Out[25]: '15:03:00'
Comment 3 yangqiu 2014-08-05 05:30:16 EDT
verify this issue on v3.8.10-1 on devel server.--->Pass
verify steps are same as description.

Note You need to log in before you can comment on or make changes to this bug.